Results 1 to 4 of 4

Thread: What is the highest version of Node.js that one can use?

  1. #1
    Sencha Premium Member
    Join Date
    Nov 2013
    Posts
    29

    Default Answered: What is the highest version of Node.js that one can use?

    In the past, the highest version of Node.js available for use with Sencha Test was v7. Is this still the case or can we upgrade to a higher version? Has anyone a confirmed working configuration with Node.js > 7 running? (current version is 13.2 at the moment of writing)

  2. Later versions may work with Test 2.3, but this would need to be tested. We'll review the supported versions of Node.js as part of future updates.

    Thanks for reporting the issue with the documentation - I'll log something so that gets updated.

  3. #2
    Sencha - Sales Team daniel.gallo's Avatar
    Join Date
    Apr 2009
    Location
    London, England
    Posts
    374
    Answers
    66

    Default

    Sencha Test 2.3 adds support for newer Node.js versions. I believe versions 8 and 10 were used in testing.
    Daniel Gallo
    Sales Engineer
    Sencha

  4. #3
    Sencha Premium Member
    Join Date
    Nov 2013
    Posts
    29

    Default

    Thank you Daniel,

    Any chance that in the (near) future Sencha Test will be usable with the latest Node.js, so we don't have to change between versions.

    By the way, those versions are not mentioned in the docs: https://docs.sencha.com/sencha_test/...tallation.html

  5. #4
    Sencha - Sales Team daniel.gallo's Avatar
    Join Date
    Apr 2009
    Location
    London, England
    Posts
    374
    Answers
    66

    Default

    Later versions may work with Test 2.3, but this would need to be tested. We'll review the supported versions of Node.js as part of future updates.

    Thanks for reporting the issue with the documentation - I'll log something so that gets updated.
    Daniel Gallo
    Sales Engineer
    Sencha

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •